Skip to content

List paymentmethods

Request

Returns a paginated list of Paymentmethods for the specified site. Supports filtering and sorting.

Security
bearer
Path
siteIdnumberrequired

Site identifier

Query
pagenumber, >= 0

Page number (0-indexed)

Default:0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
sortBystring

Field to sort by

Enum:"createdAt""updatedAt""commissionRate""name"
sortOrderstring

Sort order

Default:"asc"
Enum:"asc""desc"
commissionRatestring

Commission rate as a decimal fraction (e.g., '0.025' for 2.5%).

isActiveboolean

Whether this payment method is active and can be used.

namestring

Human-readable name of the payment method (e.g., Cash, Visa).

paymentMethodTypestring

High-level category of the payment method.

Enum:"cash""card""bankTransfer""check""online""other"
isUsingEftposTerminalboolean

Indicates if this payment method uses an EFTPOS/credit card terminal.

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/paymentmethod?page=0&pageSize=10&sortBy=createdAt&sortOrder=asc&commissionRate=string&isActive=true&name=string&paymentMethodType=cash&isUsingEftposTerminal=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Paginated list of Paymentmethods